@echo off
SET ProgFiles86Root=%ProgramFiles(x86)%
IF NOT "%ProgFiles86Root%"=="" GOTO win64
SET ProgFiles86Root=%ProgramFiles%
GOTO win32

:win32
echo *32 bit*
cd\
cd C:\Windows\System32\wbem\
mofcomp.exe C:\Windows\System32\wbem\cimwin32.mof

cd\
cd C:\Windows\System32\
regsvr32.exe C:\Windows\System32\wbem\cimwin32.dll
GOTO end

:win64
echo  *64 bit***
GOTO end

:end
echo *completed*
